Package twisted :: Package mail :: Module tap :: Class Options |
[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| `__init__(self)`
| ``opt_A`(self, filename)` Specify an aliases(5) file to use for this domain
| ``opt_aliases`(self, filename)` Specify an aliases(5) file to use for this domain
| ``opt_b`(self)` undelivered mails are sent to the postmaster
| ``opt_bounce_to_postmaster`(self)` undelivered mails are sent to the postmaster
| ``opt_D`(self)` Make the most recently specified domain the default domain.
| ``opt_d`(self, domain)` generate an SMTP/POP3 virtual domain which saves to "path"
| ``opt_default`(self)` Make the most recently specified domain the default domain.
| ``opt_maildirdbmdomain`(self, domain)` generate an SMTP/POP3 virtual domain which saves to "path"
| ``opt_P`(self, filename)` Specify a file containing username:password login info for authenticated ESMTP connections.
| ``opt_passwordfile`(self, filename)` Specify a file containing username:password login info for authenticated ESMTP connections.
| ``opt_u`(self, user_pass)` add a user/password to the last specified domains
| ``opt_user`(self, user_pass)` add a user/password to the last specified domains
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from Options
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`str` | `longdesc` = `'This creates a mail.tap file that can be use...`
`list` | `optFlags` = `[['esmtp', 'E', 'Use RFC 1425/1869 SMTP exten...`
`list` | `optParameters` = `[['pop3', 'p', 8110, 'Port to start the ...`
`str` | `synopsis` = `'Usage: mktap mail [options]'`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_A(self, filename) Specify an aliases(5) file to use for this domain

### opt_aliases(self, filename) Specify an aliases(5) file to use for this domain

### opt_b(self) undelivered mails are sent to the postmaster

### opt_bounce_to_postmaster(self) undelivered mails are sent to the postmaster

### opt_D(self) Make the most recently specified domain the default domain.

### opt_d(self, domain) generate an SMTP/POP3 virtual domain which saves to "path"

### opt_default(self) Make the most recently specified domain the default domain.

### opt_maildirdbmdomain(self, domain) generate an SMTP/POP3 virtual domain which saves to "path"

### opt_P(self, filename) Specify a file containing username:password login info for authenticated ESMTP connections.

### opt_passwordfile(self, filename) Specify a file containing username:password login info for authenticated ESMTP connections.

### opt_u(self, user_pass) add a user/password to the last specified domains

### opt_user(self, user_pass) add a user/password to the last specified domains

### postOptions(self) I am called after the options are parsed. Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane. Overrides: `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

    ### longdesc Type: `str` Value:
        'This creates a mail.tap file that can be used by twistd.'

    ### optFlags Type: `list` Value:
        [['esmtp', 'E', 'Use RFC 1425/1869 SMTP extensions'],
         ['disable-anonymous', None, 'Disallow non-authenticated SMTP connecti\
        ons']]

    ### optParameters Type: `list` Value:
        [['pop3', 'p', 8110, 'Port to start the POP3 server on (0 to disable).\
        '],
         ['pop3s',
          'S',
          0,
          'Port to start the POP3-over-SSL server on (0 to disable).'],
         ['smtp', 's', 8025, 'Port to start the SMTP server on (0 to disable).\
        '],
        ...

    ### synopsis Type: `str` Value:
        'Usage: mktap mail [options]'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:11 2003 | http://epydoc.sf.net